Summary: libdaemon is a lightweight C library that eases the writing of UNIX daemons
Name: libdaemon
Version: 0.6
Release: 4
Epoch: 0
License: GPL
URL: http://0pointer.de/lennart/projects/libdaemon
Group: System Environment/Libraries
Source: http://0pointer.de/lennart/projects/libdaemon/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides: libdaemon-devel = %{epoch}:%{version}-%{release} 

%description
   libdaemon is a lightweight C library that eases the writing of UNIX
   daemons. It consists of the following parts:
     * A wrapper around fork() which does the correct daemonization
       procedure of a process
     * A wrapper around syslog() for simpler and compatible log output to
       Syslog or STDERR
     * An API for writing PID files
     * An API for serializing UNIX signals into a pipe for usage with
       select() or poll()
     * An API for running subprocesses with STDOUT and STDERR redirected
       to syslog.

%prep
%setup -q
%build
%configure --disable-doxygen  --disable-lynx
make %{?_smp_mflags} all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/libdaemon.pc
%{_libdir}/libdaemon.*
%{_includedir}/libdaemon
%doc README LICENSE

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%changelog
* Thu May 13 2004 <aaron.bennett@olin.edu> 0:0.6-0.fdr.4
- Added post and postun scripts to run ldconfig
- changed group to standard System/Libraries group
- removed libtool *.la files  

* Tue May 4 2004 <aaron.bennett@olin.edu> 0:0.6.-0.fdr.3
- Signed packaged with GPG key

* Tue May 4 2004 <aaron.bennett@olin.edu> - 0:0.6-0.fdr.2
- Changed URL and Source tag for Fedora.us packaging compliance
- Incremented release tag

* Thu Apr 29 2004  <abennett@olin.edu> - 0:0.6-1
- Changed to version 0.6 of libdaemon

* Wed Mar 31 2004  <abennett@olin.edu> 
- Initial build.


